/*
 * File: app/view/PasswordPanel.js
 *
 * This file was generated by Sencha Architect version 2.1.0.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Sencha Touch 2.1.x library, under independent license.
 * License of Sencha Architect does not include license for Sencha Touch 2.1.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('KerzzBossCover.view.PasswordPanel', {
    extend: 'Ext.Container',

    config: {
        id: 'passwordPanel',
        listeners: [
            {
                fn: 'onContainerShow',
                event: 'show'
            },
            {
                fn: 'onMybuttonTap',
                event: 'tap',
                delegate: '#mybutton'
            }
        ],
        items: [

                                {
                                    xtype: 'fieldset',
                                    title: 'Kullanıcı Girişi',
                                    items: [
                                        {
                                            xtype: 'textfield',
                                            id: 'txtUser',
                                            label: 'Kullanıcı Adı',
                                            labelWidth: 120
                                        },
                                        {
                                            xtype: 'passwordfield',
                                            id: 'txtPwd',
                                            label: 'Şifre',
                                            labelWidth: 120
                                        },
                                        {
                                            xtype: 'checkboxfield',
                                            id: 'remember',
                                            label: 'Beni Hatırla',
                                            labelWidth: 120
                                        }
                                    ]
                                },
                                 {
                                     xtype: 'button',
                                     ui: 'confirm',
                                     iconCls: 'user',
                                     text: 'Giriş Yap',
                                     itemId: 'mybutton',
                                 },
            {
                xtype: 'toolbar',
                docked: 'top',
                title: 'Kerzz BOSS',
                items: [
                    {
                        xtype: 'button',
                        itemId: 'mybutton2',
                        ui: 'confirm',
                        text: 'Giriş Yap',
                        hidden:true
                    }
                ]
            }
        ]
    },

    onContainerShow: function(component, options) {
        var settingsLocal = Ext.create('KerzzBossCover.store.SettingsStore'); 
        debugger

        settingsLocal.getProxy();          
        settingsLocal.load();             

        var item = settingsLocal.getAt(0);

        if (item !== undefined) {

            if (item.data.remember) {

                Ext.getCmp('txtUser').setValue(item.data.user);
                Ext.getCmp('txtPwd').setValue(item.data.pwd);
                Ext.getCmp('remember').check();

            }
        }
    },

    onMybuttonTap: function(button, e, options) {
        Ext.Viewport.setMasked({
            xtype: 'loadmask',
            message: 'Yükleniyor..'
        });
        var uidx = Ext.getCmp('txtUser').getValue();
        var pwdx = Ext.getCmp('txtPwd').getValue();
        var rmm = Ext.getCmp('remember').getChecked();
        var urlx = "http://192.168.50.70:65083/KerzzBosWeb/KBDataTool/KBDataTll.aspx";
        urlx = "http://ikerzzboss.kerzzpos.com/kbdatatool/kbdatatll.aspx";

        var lat = 'none';
        var longt = 'none';
        debugger
           
        try
        {
            var aposition = parent.aposition;
            lat = aposition.coords.latitude;
            longt = aposition.coords.longitude;
        }
        catch(err)
        {
            lat = 'none-1';
            longt = 'none-1';

        };

        Ext.data.JsonP.request({
            url: urlx,
            callbackKey: 'callback',
            method: 'POST',
            params: {
                callback: '23f6a0ab24185998701705',
                act: 'userLogin',
                uid: uidx,
                pwd: pwdx,
                latitude: lat,
                longitude: longt

            },
            callback: function(success, result) {
                debugger
                if (success){

                    if (result.length === 0) {

                        Ext.Viewport.setMasked(false);
                        Ext.Msg.alert('Kerzz Boss', "Giriş Yapılamadı, Kullanıcı Adı Şifre Hatalı", Ext.emptyFn);

                    } else {

                        var settingsLocal = Ext.create('KerzzBossCover.store.SettingsStore'); 

                        settingsLocal.getProxy();          
                        settingsLocal.load();             
                        settingsLocal.getProxy().clear();
                        settingsLocal.load();

                        var item = settingsLocal.getAt(0);

                        if (item === undefined) {
                            item = Ext.create('KerzzBossCover.model.settings',
                            {
                                user: uidx,
                                pwd: pwdx,
                                remember: rmm
                            });
                            settingsLocal.add(item);
                        }else {
                            settingsLocal.getAt(0).set('user',uidx);
                            settingsLocal.getAt(0).set('pwd',pwdx);
                            settingsLocal.getAt(0).set('remember',rmm);
                        }
                        settingsLocal.sync();
                        settingsLocal.sync();
                        settingsLocal.load();
                        var item2 = settingsLocal.getAt(0);


                        try 
                        {
                            if (result[0].DOLDU === 1) {
                                Ext.Viewport.setMasked(false);
                                Ext.Msg.alert('Kerzz Boss', "Üyelik süreniz sona ermiştir..", Ext.emptyFn);
                                return;
                            }
                        }
                        catch(err)
                        {


                        };


                        var linkStr = "http://ikerzzboss.kerzzpos.com/KB_NEW/app.html?conStr=server=" + result[0].LastIP +  ";database=" + result[0].DATABASE_ADI + ";uid=" + result[0].DATABASE_KULLANICI + ";pwd=" + result[0].DATABASE_SIFRE + "&ip=" + result[0].LastIP + "&user=KERZZ";
                        window.location.href = linkStr;

                    }


                } else {

                    Ext.Viewport.setMasked(false);
                    Ext.Msg.alert('Kerzz Boss', "Bağlantı Sağlanamadı!", Ext.emptyFn);

                }
            }
        });

        //window.location.href = 'http://ikerzzboss.kerzzpos.com/kbphone/app.html?conStr=server=81.214.188.114;database=REYHAN2010;uid=sa;pwd=sapass&usr=TUNCAY%20REYHAN&ip=81.214.188.114';

    }

});